Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.emailadapter.alerts
Class EmailAlertCodes

    java.lang.Object
      com.stc.connector.emailadapter.alerts.EmailAlertCodes

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.AlertCodeMap

    public class EmailAlertCodes

extends java.lang.Object
implements com.stc.connector.management.jca.system.mbeans.AlertCodeMap

Field Summary
`static java.lang.String` | `EMAIL_EWAY_RUNNING` Email eWay running status code.
`static java.lang.String` | `EMAIL_EWAY_STARTED` Email eWay started status code.
`static java.lang.String` | `EMAIL_EWAY_STOPPED` Email eWay stopped status code.
`static java.lang.String` | `EMAIL_EWAY_STOPPING` Email eWay stopping status code.
`static java.lang.String` | `EMAIL_EWAY_SUSPENDED` Email eWay suspended status code.
`static java.lang.String` | `EMAIL_EWAY_SUSPENDING` Email eWay suspending status code.
`static java.lang.String` | `EMAILEWAY_CHECKEMAIL_FAILED` Email eWay check email fail alert
`static java.lang.String` | `EMAILEWAY_CONNECT_FAILED` Email eWay connection fail alert
`static java.lang.String` | `EMAILEWAY_RECV_FAILED` Email eWay receive fail alert
`static java.lang.String` | `EMAILEWAY_SEND_FAILED` Email eWay send fail alert

Constructor Summary
`EmailAlertCodes()`

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMAIL_EWAY_STARTED

    public static final java.lang.String EMAIL_EWAY_STARTED

  Email eWay started status code.

  See Also:
    Constant Field Values

### EMAIL_EWAY_RUNNING

    public static final java.lang.String EMAIL_EWAY_RUNNING

  Email eWay running status code.

  See Also:
    Constant Field Values

### EMAIL_EWAY_STOPPING

    public static final java.lang.String EMAIL_EWAY_STOPPING

  Email eWay stopping status code.

  See Also:
    Constant Field Values

### EMAIL_EWAY_STOPPED

    public static final java.lang.String EMAIL_EWAY_STOPPED

  Email eWay stopped status code.

  See Also:
    Constant Field Values

### EMAIL_EWAY_SUSPENDING

    public static final java.lang.String EMAIL_EWAY_SUSPENDING

  Email eWay suspending status code.

  See Also:
    Constant Field Values

### EMAIL_EWAY_SUSPENDED

    public static final java.lang.String EMAIL_EWAY_SUSPENDED

  Email eWay suspended status code.

  See Also:
    Constant Field Values

### EMAILEWAY_CONNECT_FAILED

    public static final java.lang.String EMAILEWAY_CONNECT_FAILED

  Email eWay connection fail alert

  See Also:
    Constant Field Values

### EMAILEWAY_SEND_FAILED

    public static final java.lang.String EMAILEWAY_SEND_FAILED

  Email eWay send fail alert

  See Also:
    Constant Field Values

### EMAILEWAY_RECV_FAILED

    public static final java.lang.String EMAILEWAY_RECV_FAILED

  Email eWay receive fail alert

  See Also:
    Constant Field Values

### EMAILEWAY_CHECKEMAIL_FAILED

    public static final java.lang.String EMAILEWAY_CHECKEMAIL_FAILED

  Email eWay check email fail alert

  See Also:
    Constant Field Values

Constructor Detail

### EmailAlertCodes

    public EmailAlertCodes()

Method Detail

### getMapping

    public java.lang.String getMapping(java.lang.String key)

  Specified by:
    `getMapping` in interface `com.stc.connector.management.jca.system.mbeans.AlertCodeMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD